<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('branch_song', function (Blueprint $table) {
            $table->unsignedBigInteger('song_id');
            $table->unsignedBigInteger('branch_id');
            $table->integer('counts')->default(0)->comment('點播次數');
            $table->foreign('song_id')->references('id')->on('songs')->restrictOnDelete()->restrictOnUpdate();
            $table->foreign('branch_id')->references('id')->on('branches')->restrictOnDelete()->restrictOnUpdate();
            $table->primary(['song_id', 'branch_id']);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('branch_song');
    }
};
